org.codehaus.mojo.properties

## Class AbstractWritePropertiesMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.mojo.properties.AbstractWritePropertiesMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  WriteActiveProfileProperties, WriteProjectProperties

    public abstract class AbstractWritePropertiesMojo
    extends org.apache.maven.plugin.AbstractMojo

Version:
  $Id: AbstractWritePropertiesMojo.java 8861 2009-01-21 15:35:38Z pgier $
Author:
  Zarar Siddiqi

### Field Summary

Fields
`protected File` `outputFile` The properties file that will be used when writing properties.
`protected org.apache.maven.project.MavenProject` `project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractWritePropertiesMojo()`

### Method Summary

Methods
`protected void` `validateOutputFile()`
`protected void` `writeProperties(Properties properties, File file)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.plugin.Mojo

`execute`

### Field Detail

#### project

    protected org.apache.maven.project.MavenProject project

#### outputFile

    protected File outputFile

The properties file that will be used when writing properties.

### Constructor Detail

#### AbstractWritePropertiesMojo

    public AbstractWritePropertiesMojo()

### Method Detail

#### writeProperties

    protected void writeProperties(Properties properties,
                       File file)
                            throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### validateOutputFile

    protected void validateOutputFile()
                               throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`